function vers=version(varargin)
% FUNCTION gmsh.version
%   Returns gmsh version as string.
%
% USAGE:
%   ver=gmsh.version()
%
% <COPYRIGHT>
  p = inputParser;
  p.addParamValue('gmsh_bin',gmsh.command(),@ischar);
  p.parse(varargin{:});
  if fc_tools.comp.isOctave() && ispc()
    version='unknow';return;
  end
  [status,result]=system([p.Results.gmsh_bin,' -version 2>&1' ]);
  if status~=0 
    fprintf('Trouble with gmsh command :\n  -> %s\n',p.Results.gmsh_bin);
    if status==20,
      fprintf('Delete <HOME>/.gmshrc file to correct this issue...\n')
    end
    if status==1,
      fprintf('Delete <HOME>/.gmsh-options file to correct this issue...\n')
    end
    error(result);
  end
  I=regexp(result,'\n');
  if numel(I)==1 % old version
    vers=result(1:(I-1));
  else
    vers=result(I(end-1)+1:I(end)-1);
  end
end